<html>
  <head>
    <link rel="stylesheet" type="text/css" href="style.css">
  </head>
<body>
  <div class="header">
    <a href="#default" class="logo">Department</a>
    <div class="header-right">
      <a href="developers.html">Developers</a>
      <a href="projects.html">Projects</a>
      <a href="customers.html" class="active">Customers</a>
      <a href="bills.html">Bills</a>
    </div>
  </div>
  <div class="content">
    <table id="table">
      <colgroup>
        <col span="1" style="width: 10%;">
        <col span="1" style="width: 10%;">
        <col span="1" style="width: 80%;">
      </colgroup>
      <tr>
        <th>customer id</th>
        <th>money</th>
        <th>name</th>
      </tr>
    </table>
    <form name="add" class="form-container"></form>
  </div>
  <script type = "text/javascript" src="script.js"></script>
  <script>
    function update(data) {
      t = document.getElementsByTagName("table")[0];
      while(t.rows.length > 1) {
        table.deleteRow(1);
      }
      for (const customer of data.customers)
      {
        var new_row = document.createElement('tr');
        new_row.insertCell(0).innerHTML = customer.customer_id;
        new_row.insertCell(1).innerHTML = customer.money;
        new_row.insertCell(2).innerHTML = customer.name;
        t.appendChild(new_row);
      }
      setCookie('data', JSON.stringify(data), 30);
    };

    formInfo = {
      table_name: "customers", 
      submit_button_text: "Add Customer",
      inputs: [
      {"name": "customer_id", "placeholder": "Customer ID", "is_numeric": true, "is_unique": true},
      {"name": "money", "placeholder": "Money", "is_numeric": true, "is_unique": false},
      {"name": "name", "placeholder": "Name", "is_numeric": false, "is_unique": false},
      ],
      updateTable: update
    };

    createForm(document.forms["add"]);
  </script>
</body>
</html>
